MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022930Community[OCCT] OCCT:Visualizationpublic2012-01-27 18:232012-02-20 17:11
ReporterPawel 
Assigned Tosan 
PrioritynormalSeveritycrash 
StatusclosedResolutionno change required 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target VersionFixed in Version[OCCT] 6.5.3 
Summary0022930: Memory leak in OpenGl_filters.cxx line 351
Descriptionthe lines:

if( !temp )
return TFailure;

do not delete the previously allocated variable 'ptr'. I would change the code to:

if( !temp )
{
delete [] ptr;
return TFailure;
}
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships
related to 0022819closedbugmaster Open CASCADE Redesign of OpenGl driver 

-  Notes
(0019314)
abv (manager)
2012-01-30 17:57

Should be fixed by 0022819, please check
(0019677)
kgv (developer)
2012-02-20 16:48

This code block and functionality no more exists since 0022819 integration.

- Issue History
Date Modified Username Field Change
2012-01-27 18:23 Pawel New Issue
2012-01-27 18:23 Pawel Assigned To => san
2012-01-30 17:57 abv Note Added: 0019314
2012-01-30 17:57 abv Status new => assigned
2012-01-30 17:57 abv Relationship added related to 0022819
2012-02-20 16:48 kgv Note Added: 0019677
2012-02-20 16:48 kgv Status assigned => resolved
2012-02-20 17:11 bugmaster Test case number => Test case is not required
2012-02-20 17:11 bugmaster Status resolved => closed
2012-02-20 17:11 bugmaster Resolution open => no change required
2012-02-20 17:11 bugmaster Fixed in Version => 6.5.3


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker